import request from '@/utils/request'

export function getEducationList(query) {
  return request({
    url: '/employee/education/',
    method: 'get',
    params: query
  })
}

export function createEducation(data) {
  return request({
    url: '/employee/education/',
    method: 'post',
    data
  })
}

export function updateEducation(id, data) {
  return request({
    url: `/employee/education/${id}/`,
    method: 'put',
    data
  })
}

export function deleteEducation(id) {
  return request({
    url: `/employee/education/${id}/`,
    method: 'delete'
  })
}